#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int N, L;
    cin >> N >> L;

    for (int i = 0; i < N; i++)
    {
        int H;
        cin >> H;
        if (L >= H)
        {
            if (i + 1 > N)
            {
                cout << -1;
                break;
            }
            else
            {
                cout << i + 1;
                break;
            }
        }
    }
}